
User Interface - Bug #3101

Bug # 2677 (New): fix drawing and functional differences between P2J GUI and 4GL GUI

minimizing a web window results that the java web client process throws exceptions

05/06/2016 10:48 AM - Sergey Ivanovskiy

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Sergey Ivanovskiy % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Cleanup and Stabilization for GUI   

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 05/06/2016 10:52 AM - Sergey Ivanovskiy

The java web client's process throws these exceptions if we minimize a target web window:

java.lang.RuntimeException: Unknown window reported by GUI driver!

    at com.goldencode.p2j.ui.client.WindowManager.windowActivated(WindowManager.java:1306)

    at com.goldencode.p2j.ui.client.gui.driver.web.GuiWebDriver.windowActivated(GuiWebDriver.java:975)

    at com.goldencode.p2j.ui.client.gui.driver.web.GuiWebSocket.processBinaryMessage(GuiWebSocket.java:1444)

    at com.goldencode.p2j.ui.client.driver.web.WebClientProtocol$1.run(WebClientProtocol.java:323)

    at com.goldencode.p2j.ui.client.driver.web.WebTaskWorker.run(WebTaskWorker.java:79)

java.lang.NullPointerException

    at com.goldencode.p2j.ui.client.gui.driver.AbstractGuiDriver.iconifyWindow(AbstractGuiDriver.java:1989)

    at com.goldencode.p2j.ui.client.gui.driver.web.GuiWebDriver.windowIconified(GuiWebDriver.java:991)

    at com.goldencode.p2j.ui.client.gui.driver.web.GuiWebSocket.processBinaryMessage(GuiWebSocket.java:1455)

    at com.goldencode.p2j.ui.client.driver.web.WebClientProtocol$1.run(WebClientProtocol.java:323)

    at com.goldencode.p2j.ui.client.driver.web.WebTaskWorker.run(WebTaskWorker.java:79)

java.lang.RuntimeException: Unknown window reported by GUI driver!

    at com.goldencode.p2j.ui.client.WindowManager.windowActivated(WindowManager.java:1306)

    at com.goldencode.p2j.ui.client.gui.driver.web.GuiWebDriver.windowActivated(GuiWebDriver.java:975)

    at com.goldencode.p2j.ui.client.gui.driver.web.GuiWebSocket.processBinaryMessage(GuiWebSocket.java:1444)

    at com.goldencode.p2j.ui.client.driver.web.WebClientProtocol$1.run(WebClientProtocol.java:323)

    at com.goldencode.p2j.ui.client.driver.web.WebTaskWorker.run(WebTaskWorker.java:79)

java.lang.NullPointerException

    at com.goldencode.p2j.ui.client.gui.driver.AbstractGuiDriver.iconifyWindow(AbstractGuiDriver.java:1989)

    at com.goldencode.p2j.ui.client.gui.driver.web.GuiWebDriver.windowIconified(GuiWebDriver.java:991)

    at com.goldencode.p2j.ui.client.gui.driver.web.GuiWebSocket.processBinaryMessage(GuiWebSocket.java:1455)

    at com.goldencode.p2j.ui.client.driver.web.WebClientProtocol$1.run(WebClientProtocol.java:323)

    at com.goldencode.p2j.ui.client.driver.web.WebTaskWorker.run(WebTaskWorker.java:79)

It can reproduced for the current trunc:

1) Open the web client for the ./demo/demo_widgets.p

2) Minimize the application window and check the web client log file.
#2 - 05/06/2016 11:46 AM - Sergey Ivanovskiy

- File 3101_1.txt added

Greg, please review these changes against P2j that fixes the issue.

#3 - 06/16/2016 09:37 AM - Greg Shah

- Project changed from Liberty to User Interface

#4 - 06/16/2016 09:37 AM - Greg Shah

- Subject changed from Minimizing a web window results that the java web client process throws exceptions to minimizing a web window results that

the java web client process throws exceptions

- Start date deleted (05/06/2016)

Is this still an open issue?  If I understand correctly, all these changes are already applied to the trunk with your latest merge.

#5 - 06/16/2016 10:20 AM - Sergey Ivanovskiy

Yes, it is fixed and committed into the trunc.

#6 - 06/16/2016 10:42 AM - Greg Shah

- Target version set to Milestone 16

- Status changed from New to Closed

- Assignee set to Sergey Ivanovskiy

- % Done changed from 0 to 100

#7 - 06/16/2016 10:43 AM - Greg Shah

- Parent task set to #2677

#8 - 11/16/2016 12:22 PM - Greg Shah

- Target version changed from Milestone 16 to Cleanup and Stabilization for GUI

Files

3101_1.txt 3.15 KB 05/06/2016 Sergey Ivanovskiy
